%{!?centos_ver:%define centos_ver 6}

Summary: A Unit Testing Framework for C
Name: cutter
Version: 1.2.6
Release: 1%{?dist}
License: LGPL3+
URL: http://cutter.sourceforge.net/
Group: Development/Tools
Source: http://downloads.sourceforge.net/cutter/cutter-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: glib2-devel
BuildRequires: libsoup-devel
%if %{centos_ver} == 7
BuildRequires: gstreamer1-plugins-base-devel
%endif
Requires: glib2
Requires: libsoup
Requires: libnotify

%description
Cutter is a xUnit family Unit Testing Framework for C.
Cutter provides easy to write test and easy to debug code environment.

%prep
%setup -q

%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README README.ja NEWS NEWS.ja TODO FEATURES FEATURES.ja TUTORIAL TUTORIAL.ja USERS USERS.ja
%doc %{_datadir}/gtk-doc/html/cutter/
%{_bindir}/*
%{_includedir}/cutter/
%{_libdir}/cutter/
%if %{centos_ver} == 7
%{_libdir}/gstreamer-1.0/*
%endif
%{_libdir}/pkgconfig/*
%{_libdir}/*
%{_mandir}/*
%{_datadir}/aclocal/
%{_datadir}/cutter/
%{_datadir}/locale/

%changelog
* Wed Sep 20 2017 Kentaro Hayashi <hayashi@clear-code.com> - 1.2.6-1
- new upstream release.

* Wed Jul 29 2015 HAYASHI Kentaro <hayashi@clear-code.com> - 1.2.5-1
- new upstream release.

* Thu May 29 2014 HAYASHI Kentaro <kenhys@gmail.com> - 1.2.4-1
- new upstream release.

* Sun Feb 09 2014 HAYASHI Kentaro <hayashi@clear-code.com> - 1.2.3-1
- new upstream release.

* Mon Oct 29 2012 HAYASHI Kentaro <hayashi@clear-code.com> - 1.2.2-0
- new upstream release.

* Wed Aug 15 2012 HAYASHI Kentaro <hayashi@clear-code.com> - 1.2.1-0
- new upstream release.

* Sat Dec 31 2011 Kouhei Sutou <kou@clear-code.com> - 1.2.0-0
- new upstream release.

* Sat Oct 22 2011 Kouhei Sutou <kou@clear-code.com> - 1.1.9-0
- new upstream release.

* Sun Jul 31 2011 Kouhei Sutou <kou@clear-code.com> - 1.1.8-0
- new upstream release.

* Sun Feb 13 2011 Kouhei Sutou <kou@clear-code.com> - 1.1.7-0
- new upstream release.

* Wed Feb 09 2011 Kouhei Sutou <kou@clear-code.com> - 1.1.6-0
- new upstream release.

* Mon Sep 06 2010 Kouhei Sutou <kou@clear-code.com>
- (1.1.5-0)
- new upstream release

* Thu Jun 10 2010 Kouhei Sutou <kou@clear-code.com>
- (1.1.4-0)
- initial RPM
